# SplObjectStorage::count

(PHP 5 >= 5.1.0, PHP 7)

SplObjectStorage::count — Returns the number of objects in the storage

### Description

public SplObjectStorage::count ( void ) : int

Counts the number of objects in the storage.

### Parameters

This function has no parameters.

### Return Values

The number of objects in the storage.

### Examples

Example #1 SplObjectStorage::count() example

`<?php
$s = new SplObjectStorage();
$o1 = new StdClass;
$o2 = new StdClass;
$s->attach($o1);
$s->attach($o2);
$s->attach($o1);
var_dump($s->count());
var_dump(count($s));
?>`

The above example will output something similar to:

    int(2)
    int(2)

### See Also

- SplObjectStorage::attach() - Adds an object in the storage
- SplObjectStorage::detach() - Removes an object from the storage